
/*

  RANDEXIT.C    by Jim Henry III
Writ with the Personal C Compiler (unregistered)
RANDEXIT is public domain.
        
Usage: (in batch file)

randexit nnn

where nnn is a number from 2 to 255, randexit returns an
ERRORLEVEL code randomly ranging from 1 to nnn.

*/

#include <stdio.h>

main(argc, argv)
        int argc;
        char *argv[]; {
                int rnum=0;
                char xcode=1;
        
                srand(tm());
                if (argc>1) {
                        rnum = atoi(argv[1]);
                        if (rnum<2 || rnum>255) {
                           errmsg();
                           exit(0); }
                        else {
                             xcode += (rand() % rnum) ;
                             exit(xcode);
                        }
                }
                else {
                     errmsg();
                     exit(0);
                }
        }
        
errmsg() {

puts("\nRANDEXIT 1.0 by Jim Henry III. Public domain.\n");
puts("Usage:\n   RANDEXIT nnn\n(in a batch file)\n");
puts("Returns a random ERRORLEVEL code ranging from 1 to nnn.\n"); 
puts("nnn cannot be greater than 255.\n\n");

}
         
tm() {     /* Get clock time */

#asm
    mov ah, 0    ; func 0: read time
    int 1Ah      ; 1Ah is clock interrupt
    mov ax,dx    ; dx is lsw of clock time (i.e. it varies every second)
#

}
